import { RedisModel } from "@golemio/core/dist/integration-engine/models/RedisModel";
export declare class JISMetadataRepository extends RedisModel {
    static readonly NAMESPACE_PREFIX = "jisMetadata";
    protected readonly infotextsKey = "infotexts";
    protected readonly eventsKey = "events";
    constructor();
    /** Get the Etag of the last JIS Infotexts response */
    getLastInfotextsEtag(): Promise<string | undefined>;
    /**
     * Set the Etag of the last JIS Infotexts response to a given new value
     *
     * @param etag The new Etag of the last JIS Infotexts response
     */
    setLastInfotextsEtag(etag: string): Promise<void>;
    getLastEventsEtag(): Promise<string | undefined>;
    setLastEventsEtag(etag: string): Promise<void>;
    private initializeMetadata;
}
